Subject: [core] #326: Who defines the application profile for PSK identity hints?

From: "core issue tracker" <[email-masked]>
Date: Mon, 20 May 2013 19:43:53 -0000

#326: Who defines the application profile for PSK identity hints?

 Sean Turner notes (msg04433d2):

 Section 9.1.3.1

 6) s9.1.3.1: Did you consider whether there should be an application
 profile for the psk_identity_hint (see Section 5 [RFC4279]) - i.e., is
 there a standard format for CoAP that should be defined?

 Carsten says:

 I don't think the WG has discussed if there can be a single RFC 4279
 application profile for all DTLS PSK usage in CoAP or whether these would
 be specific to particular commissioning models.

-- 
-------------------------+-------------------------------------------------
 Reporter:               |      Owner:  [email-masked]
  [email-masked]           |     Status:  new
     Type:  other        |  Milestone:  post-IESG-1
  technical              |    Version:  coap-16
 Priority:  minor        |   Keywords:
Component:  coap         |
 Severity:  Submitted    |
  WG Document            |
-------------------------+-------------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/core/trac/ticket/326>
core <http://tools.ietf.org/core/>

---

From: Zach Shelby <[email-masked]>
Date: Mon, 20 May 2013 23:05:03 +0300

> be specific to particular commissioning models.

This is commissioning model specific in my opinion. For example in OMA Lightweight M2M we define that the psk_identity_hint is not used at all, as the security settings are configured per endpoint already. 

Zach 

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://www.sensinode.com @SensinodeIoT
Mobile: +358 40 7796297
Twitter: @zach_shelby
LinkedIn: http://fi.linkedin.com/in/zachshelby
6LoWPAN Book: http://6lowpan.net

---

From: "core issue tracker" <[email-masked]>
Date: Sat, 25 May 2013 21:10:23 -0000

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 Fixed in [1392]:

 Fix #326

-- 
-------------------------+-------------------------------------------------
 Reporter:               |       Owner:  draft-ietf-core-
  [email-masked]           |  [email-masked]
     Type:  other        |      Status:  closed
  technical              |   Milestone:  post-IESG-1
 Priority:  minor        |     Version:  coap-16
Component:  coap         |  Resolution:  fixed
 Severity:  Submitted    |
  WG Document            |
 Keywords:               |
-------------------------+-------------------------------------------------

Ticket URL: </ticket/326#comment:2>
core <http://tools.ietf.org/core/>